<?php require_once('header.php'); ?>
<?php if($allPermissions['transport']['update']=="1"){ ?>

<?php
if(isset($_POST['form1'])) {
	$valid = 1;

		if(empty($_POST['transport_mode'])) {
		$valid = 0;
		$error_message .= 'Transport Name can not be empty<br>';
	}

	if(empty($_POST['transport_desc'])) {
		$valid = 0;
		$error_message .= 'Transport Description can not be empty<br>';
	}
	

	if($valid == 1) {

        	$statement = $pdo->prepare("UPDATE tbl_mode_transport SET transport_mode=?, transport_desc=? WHERE id=?");
    		$statement->execute(array($_POST['transport_mode'],$_POST['transport_desc'],$_REQUEST['id']));

	    $success_message = 'Transport Details is updated successfully!';
	}
}
?>

<?php
if(!isset($_REQUEST['id'])) {
	header('location: logout.php');
	exit;
} else {
	// Check the id is valid or not
	$statement = $pdo->prepare("SELECT * FROM tbl_mode_transport WHERE id=?");
	$statement->execute(array($_REQUEST['id']));
	$total = $statement->rowCount();
	$result = $statement->fetchAll(PDO::FETCH_ASSOC);
	if( $total == 0 ) {
		header('location: logout.php');
		exit;
	}
}
?>
<section class="content-header">
	<div class="content-header-left">
		<h1>Edit Transport</h1>
	</div>
	<div class="content-header-right">
		<a href="transport.php" class="btn btn-primary btn-sm">View All</a>
	</div>
</section>

<?php
$statement = $pdo->prepare("SELECT * FROM tbl_mode_transport WHERE id=?");
$statement->execute(array($_REQUEST['id']));
$result = $statement->fetchAll(PDO::FETCH_ASSOC);
foreach ($result as $row) {
	$transport_mode = $row['transport_mode'];
	$transport_desc = $row['transport_desc'];

}
?>

<section class="content">

	<div class="row">
		<div class="col-md-12">

			<?php if($error_message): ?>
			<div class="callout callout-danger">
				<p>
					<?php echo $error_message; ?>
				</p>
			</div>
			<?php endif; ?>

			<?php if($success_message): ?>
			<div class="callout callout-success">
				<p><?php echo $success_message; ?></p>
			</div>
			<?php endif; ?>
			
			<form class="form-horizontal" action="" method="post" enctype="multipart/form-data">
				<div class="box box-info">
					<div class="box-body">
						<div class="form-group">
							<label for="" class="col-sm-2 control-label">Transport Mode<span>*</span></label>
							<div class="col-sm-6">
								<input type="text" autocomplete="off" class="form-control" name="transport_mode" value="<?php echo $transport_mode; ?>">
							</div>
						</div>
						<!--<div class="form-group">-->
						<!--	<label for="" class="col-sm-2 control-label">Transport Description <span>*</span></label>-->
						<!--	<div class="col-sm-6">-->
								<input type="hidden" autocomplete="off" class="form-control" name="transport_desc" value="<?php echo $transport_desc; ?>">
						<!--	</div>-->
						<!--</div>-->
						<div class="form-group">
							<label for="" class="col-sm-2 control-label"></label>
							<div class="col-sm-6">
								<button type="submit" class="btn btn-success pull-left" name="form1">Submit</button>
							</div>
						</div>
					</div>
				</div>
			</form>
		</div>
	</div>

</section>
<?php }else{ ?>
<center><h4 style="color:red;">You don't have permission to edit transport</h4></center>
<?php } ?>
<?php require_once('footer.php'); ?>